Dokploy

Git Provider

Git Provider get All

GET
/gitProvider.getAll

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitProvider.getAll"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Git Provider toggle Share

POST
/gitProvider.toggleShare

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

gitProviderId*string
Length1 <= length
sharedWithOrganization*boolean

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/gitProvider.toggleShare" \  -H "Content-Type: application/json" \  -d '{    "gitProviderId": "string",    "sharedWithOrganization": true  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Git Provider all For Permissions

GET
/gitProvider.allForPermissions

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/gitProvider.allForPermissions"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

Git Provider remove

POST
/gitProvider.remove

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

gitProviderId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/gitProvider.remove" \  -H "Content-Type: application/json" \  -d '{    "gitProviderId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}